# Walidacja Plików xml/gml

Schematy XSD służą do walidacji plików XML - pozwalają sprawdzić, czy konkretny plik XML jest poprawny (zgodny ze schematem) oraz przekazywane przykładowe pliki XML walidują się poprawnie.

## macOS

### Walidacja  InstytucjeFinansujace

```bash
├── 1.4_przyklady
│   ├── Redame.md
│   ├── dofinansowanie-aktualizacja.gml
│   ├── dofinansowanie-nowy.gml
│   ├── dofinansowanie-usun.gml
│   ├── pomoc-aktualizacja.gml
│   ├── pomoc-nowy.gml
│   └── pomoc-usun.gml
└── 1.4_walidacja
    ├── 1.1
    │   ├── instytucjeFinansujace.xsd
    │   ├── pomocSpoleczna.xsd
    │   ├── zone-finansowe.xsd
    │   └── zone-wspolne.xsd
    └── 1.4
        ├── instytucjeFinansujace.xsd
        └── pomocSpoleczna.xsd

```

#### Nowy
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/instytucjeFinansujace.xsd  dofinansowanie-nowy.gml  
```

#### Aktualizacja
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/instytucjeFinansujace.xsd  dofinansowanie-aktualizacja.gml   
```

#### Usunięcie
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/instytucjeFinansujace.xsd  dofinansowanie-usun.gml 
```




### Walidacja  Przyklad-PomocSpoleczna

#### Nowy
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/pomocSpoleczna.xsd pomoc-nowy.gml
```


#### Aktualizacja
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/pomocSpoleczna.xsd pomoc-aktualizacja.gml
```
#### Usunięcie
```bash
xmllint --noout --schema ../1.4_walidacja/1.4/pomocSpoleczna.xsd pomoc-usun.gml
```

## Windows

Do przeglądania i walidacji plików można wykorzystać program XML-Notepad (<https://microsoft.github.io/XmlNotepad/#install/>).

Po uruchomieniu programu należy otworzyć plik XML (File -> Open / Ctrl+O) oraz dołączyć przekazane schematy (View -> Schemas... -> File -> Add schemas... -> OK).

Program pozwala na uzupełnianie pliku XML z zachowaniem podpowiedzi zgodnych ze składnią przy dodawaniu atrybutów/elementów.

Jednocześnie program sprawdza wprowadzone wartości i raportuje wszystkie błędy znalezione w pliku XML.
